/* Startup */
user_pref("browser.startup.homepage", "https://www.google.ca"); // home page
user_pref("browser.startup.page", 3); // resume previous session
user_pref("browser.startup.homepage_override.mstone", "ignore"); // disable welcome
user_pref("browser.newtabpage.enabled", false); // blank new tab page

/* Shutdown */
// user_pref("privacy.sanitize.sanitizeOnShutdown", true); // clear data on shutdown
// user_pref("privacy.clearOnShutdown.history", false); // save history
// user_pref("privacy.clearOnShutdown.cache", false); // clear cache
// user_pref("privacy.clearOnShutdown.downloads", true); // clear downloads
// user_pref("privacy.clearOnShutdown.formdata", true); // clear form data
// user_pref("privacy.clearOnShutdown.sessions", false);  // save sessions
// user_pref("privacy.clearOnShutdown.cookies", false); // save cookies
// user_pref("privacy.clearOnShutdown.offlineApps", true); // clear site data

/* Warnings */
user_pref("browser.aboutConfig.showWarning", false); // disable about:config warning
user_pref("browser.warnOnQuitShortcut", true); // warn on quit
user_pref("browser.tabs.warnOnClose", true); // warn on quit
user_pref("app.update.suppressPrompts", true); // disable update warning

/* Recommendations */
user_pref("browser.newtabpage.activity-stream.default.sites", ""); // blank top sites
user_pref("browser.newtabpage.activity-stream.showSponsored", false); // disable sponsored stories
user_pref("browser.newtabpage.activity-stream.showSponsoredTopSites", false); // disable sponsored shortcuts
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false); // disable recommended addons
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false); // disable recommended features
user_pref("browser.newtabpage.activity-stream.feeds.section.topstories", false); // remove top sites from new tab page
user_pref("browser.newtabpage.activity-stream.feeds.topsites", false); // remove pocket from new tab page
user_pref("extensions.getAddons.showPane", false); // disable recommendations in about:addons
user_pref("extensions.htmlaboutaddons.recommendations.enabled", false); // disable recommendations in about:addons
user_pref("browser.discovery.enabled", false); // disable recommendations in about:addons
user_pref("browser.messaging-system.whatsNewPanel.enabled", false); // disable what's new
user_pref("extensions.pocket.enabled", false); // disable pocket

/* Fingerprinting */
user_pref("privacy.resistFingerprinting", false); // don't resist fingerprinting
user_pref("privacy.resistFingerprinting.letterboxing", false); // don't resist fingerprinting

/* Behaviour */
user_pref("media.eme.enabled", true); // allow DRM
user_pref("browser.bookmarks.openInTabClosesMenu", false); // opening bookmarks doesn't close the menu
user_pref("layout.word_select.eat_space_to_next_word", false); // don't select extra space after words
user_pref("general.autoScroll", true); // scroll on middle click
user_pref("browser.ctrlTab.sortByRecentlyUsed", false); // ctrl+tab cycles in order
user_pref("zoom.minPercent", 10); // zoom values
user_pref("signon.autofillForms", false); // don't autofill login pages
user_pref("signon.formlessCapture.enabled", false); // don't autofill passwords
user_pref("extensions.formautofill.addresses.enabled", false); // don't autofill addresses
user_pref("extensions.formautofill.creditCards.enabled", false); // don't autofill credit cards
user_pref("ui.key.menuAccessKeyFocuses", false); // alt key doesn't open top bar

/* Downloads */
user_pref("browser.download.useDownloadDir", false); // always ask where to save files
user_pref("browser.download.alwaysOpenPanel", false); // disable automatically opening download panel
user_pref("browser.download.manager.addToRecentDocs", false); // disable adding downloads to recent documents
user_pref("browser.download.always_ask_before_handling_new_types", true); // confirm new file types
user_pref("browser.download.open_pdf_attachments_inline", true);

/* Fullscreen */
user_pref("full-screen-api.transition-duration.enter", "0 0");
user_pref("full-screen-api.transition-duration.leave", "0 0");
user_pref("full-screen-api.transition.timeout", "0");
user_pref("full-screen-api.warning.delay", "0");
user_pref("full-screen-api.warning.timeout", "0");

/* Containers */
user_pref("privacy.userContext.enabled", true); // enable containers
user_pref("privacy.userContext.ui.enabled", true); // enable containers

/* Content */
user_pref("toolkit.legacyUserProfileCustomizations.stylesheets", true); // enable userContent/Chrome.css

/* Manual */
// user_pref("browser.cache.disk.parent_directory", "/run/user/1000/firefox"); // move disk cache to memory

/* Scrolling */
user_pref("apz.overscroll.enabled", true); // not DEFAULT on Linux
user_pref("general.smoothScroll", true); // DEFAULT
user_pref("general.smoothScroll.msdPhysics.continuousMotionMaxDeltaMS", 12);
user_pref("general.smoothScroll.msdPhysics.enabled", true);
user_pref("general.smoothScroll.msdPhysics.motionBeginSpringConstant", 600);
user_pref("general.smoothScroll.msdPhysics.regularSpringConstant", 650);
user_pref("general.smoothScroll.msdPhysics.slowdownMinDeltaMS", 25);
user_pref("general.smoothScroll.msdPhysics.slowdownMinDeltaRatio", 2.0);
user_pref("general.smoothScroll.msdPhysics.slowdownSpringConstant", 250);
user_pref("general.smoothScroll.currentVelocityWeighting", 1.0);
user_pref("general.smoothScroll.stopDecelerationWeighting", 1.0);
user_pref("mousewheel.default.delta_multiplier_y", 250); // 250-400; adjust this number to your liking

/* Telemetry */
user_pref("datareporting.policy.dataSubmissionEnabled", false);
user_pref("datareporting.healthreport.uploadEnabled", false);
user_pref("toolkit.telemetry.unified", false);
user_pref("toolkit.telemetry.enabled", false); // see [NOTE]
user_pref("toolkit.telemetry.server", "data:,");
user_pref("toolkit.telemetry.archive.enabled", false);
user_pref("toolkit.telemetry.newProfilePing.enabled", false); // [FF55+]
user_pref("toolkit.telemetry.shutdownPingSender.enabled", false); // [FF55+]
user_pref("toolkit.telemetry.updatePing.enabled", false); // [FF56+]
user_pref("toolkit.telemetry.bhrPing.enabled", false); // [FF57+] Background Hang Reporter
user_pref("toolkit.telemetry.firstShutdownPing.enabled", false); // [FF57+]
user_pref("toolkit.telemetry.coverage.opt-out", true); // [HIDDEN PREF]
user_pref("toolkit.coverage.opt-out", true); // [FF64+] [HIDDEN PREF]
user_pref("toolkit.coverage.endpoint.base", "");
user_pref("browser.ping-centre.telemetry", false);
user_pref("browser.newtabpage.activity-stream.feeds.telemetry", false);
user_pref("browser.newtabpage.activity-stream.telemetry", false);
user_pref("app.shield.optoutstudies.enabled", false);
user_pref("app.normandy.enabled", false);
user_pref("app.normandy.api_url", "");
user_pref("breakpad.reportURL", "");
user_pref("browser.tabs.crashReporting.sendReport", false); // [FF44+]
user_pref("browser.crashReports.unsubmittedCheck.autoSubmit2", false); // [DEFAULT: false]

